Subject: Re: patch-2.7.3 no longer applies relative symbolic link patches

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Jan 2015 22:34:03 -0800

Junio C Hamano <[email-masked]> writes:

> Subject: [PATCH] apply: refuse touching a file beyond symlink
>
> Because Git tracks symbolic links as symbolic links, a path that has
> a symbolic link in its leading part (e.g. path/to/dir being a
> symbolic link to somewhere else, be it inside or outside the working
> tree) can never appear in a patch that validly apply, unless the
> same patch first removes the symbolic link.

I should rephrase the above to make it more readable.

    ... its leading part (e.g. path/to/dir/file, where path/to/dir is a
    symbolic link to somewhere else, ...

is what I meant to say.